/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         TotalTextArea = 4;

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_HS1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.$("TextArea_1").show();
         sym.$("txt1").show();
         sym.$("cuaderno").show();
         
         sym.$("cerrar").show();
         
         sym.$("HS1").hide();
         sym.$("HS2").hide();
         sym.$("HS3").hide();
         sym.$("HS4").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_cerrar}", "click", function(sym, e) {
         sym.$("TextArea_1").hide();
         sym.$("TextArea_2").hide();
         sym.$("TextArea_3").hide();
         sym.$("TextArea_4").hide();
         
         sym.$("txt1").hide();
         sym.$("txt2").hide();
         sym.$("txt3").hide();
         sym.$("txt4").hide();
         
         sym.$("cerrar").hide();
         sym.$("cuaderno").hide();
         
         sym.$("HS1").show();
         sym.$("HS2").show();
         sym.$("HS3").show();
         sym.$("HS4").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS2}", "click", function(sym, e) {
         sym.$("TextArea_2").show();
         sym.$("txt2").show();
         sym.$("cuaderno").show();
         sym.$("cerrar").show();
         
         
         sym.$("HS1").hide();
         sym.$("HS2").hide();
         sym.$("HS3").hide();
         sym.$("HS4").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS3}", "click", function(sym, e) {
         sym.$("TextArea_3").show();
         sym.$("txt3").show();
         sym.$("cuaderno").show();
         sym.$("cerrar").show();
         
         
         sym.$("HS1").hide();
         sym.$("HS2").hide();
         sym.$("HS3").hide();
         sym.$("HS4").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS4}", "click", function(sym, e) {
         sym.$("TextArea_4").show();
         sym.$("txt4").show();
         sym.$("cuaderno").show();
         sym.$("cerrar").show();
         
         
         sym.$("HS1").hide();
         sym.$("HS2").hide();
         sym.$("HS3").hide();
         sym.$("HS4").hide();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'muneco'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.play("ini");

      });
      //Edge binding end

   })("muneco");
   //Edge symbol end:'muneco'

})(jQuery, AdobeEdge, "EDGE-1010687340");